Bug 1290505 - [abrt] bodhi-client: bodhi.py:104:wrapper:BodhiClientException: Invalid koji build: lis-1.5.58-1.fc21
[abrt] bodhi-client: bodhi.py:104:wrapper:BodhiClientException: Invalid koji ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9d6a3bdaff131425f6a4bf6706b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 12:15 EST by Florian "der-flo" Lehner
Modified: 2016-09-19 22:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2015-12-10 12:15 EST, Florian "der-flo" Lehner
no flags Details
File: environ (3.14 KB, text/plain)
2015-12-10 12:15 EST, Florian "der-flo" Lehner
no flags Details

  None (edit)
Description Florian "der-flo" Lehner 2015-12-10 12:15:47 EST
Version-Release number of selected component:
bodhi-client-0.9.12.2-1.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 -tt /usr/bin/bodhi --new --release f21 --file bodhi.template lis-1.5.58-1.fc21 --username flo
dso_list:       python-fedora-0.6.2-3.fc22.noarch
executable:     /usr/bin/bodhi
kernel:         4.2.6-201.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
bodhi.py:104:wrapper:BodhiClientException: Invalid koji build: lis-1.5.58-1.fc21
Cannot find release associated with build: lis-1.5.58-1.fc21, tags: []

Traceback (most recent call last):
  File "/usr/bin/bodhi", line 532, in <module>
    main()
  File "/usr/bin/bodhi", line 225, in main
    data = bodhi.save(**update_args)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 104, in wrapper
    raise BodhiClientException(problems)
BodhiClientException: Invalid koji build: lis-1.5.58-1.fc21
Cannot find release associated with build: lis-1.5.58-1.fc21, tags: []

Local variables in innermost frame:
e: Munch(description=u'Cannot find release associated with build: lis-1.5.58-1.fc21, tags: []', location=u'body', name=u'builds')
args: (<fedora.client.bodhi.Bodhi2Client object at 0x7f7140f32750>,)
problems: u'Invalid koji build: lis-1.5.58-1.fc21\nCannot find release associated with build: lis-1.5.58-1.fc21, tags: []'
result: Munch(errors=[Munch(description=u'Invalid koji build: lis-1.5.58-1.fc21', location=u'body', name=u'builds'), Munch(description=u'Cannot find release associated with build: lis-1.5.58-1.fc21, tags: []', location=u'body', name=u'builds')], status=u'error')
kwargs: {'close_bugs': True, 'stable_karma': '3', 'builds': ' lis-1.5.58-1.fc21 ', 'autokarma': 'True', 'suggest': 'unspecified', 'notes': 'Update to 1.5.58', 'request': 'testing', 'bugs': '', 'unstable_karma': '-3', 'type_': 'enhancement', 'type': 'enhancement', 'severity': 'unspecified'}
method: <function save at 0x7f7140ecb6e0>
Comment 1 Florian "der-flo" Lehner 2015-12-10 12:15:51 EST
Created attachment 1104432 [details]
File: backtrace
Comment 2 Florian "der-flo" Lehner 2015-12-10 12:15:53 EST
Created attachment 1104433 [details]
File: environ
Comment 3 Fedora End Of Life 2016-07-19 14:35:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.